# 22. Virtuoso Functions Guide - table_set_policy

Chapter Contents | Prev | Next
Keyword Search:
www.openlinksw.com
docs.openlinksw.com
Book Home
Contents
Preface
Virtuoso Functions Guide
Administration
Aggregate Functions
Array Manipulation
BPEL APIs
Backup
Compression
Cursor
Date & Time Manipulation
Debug
Dictionary Manipulation
Encoding & Decoding
File Manipulation
Free Text
Hashing / Cryptographic
LDAP
Locale
Mail
Miscellaneous
Number
Remote SQL Data Source
Replication
SOAP
SQL
__any_grants
close
collation_define
complete_table_name
delay
end_result
exec
exec_next
exec_result
exec_result_names
identity_value
name_part
registry_get
registry_get_all
registry_name_is_pro...
registry_remove
registry_set
result
result_names
row_count
sequence_get_all
sequence_next
sequence_remove
sequence_set
set_identity_column
set_row_count
set_user_id
signal
sinv_create_inverse
sinv_create_key_mapp...
sinv_drop_inverse
sys_stat_analyze
sys_stat_histogram
table_drop_policy
table_set_policy
username
String
Transaction
Type Mapping
UDDI
User Defined Types & The CLR
Virtuoso Java PL API
Virtuoso Server Extension Interface (VSEI)
Web Server & Internet
XML
XPATH & XQUERY
Functions Index

## table_set_policy

Sets policy function to table.
table_set_policy (in tablename varchar, in policypl varchar, [in policy_scope varchar]);
Parameters
tablename – is the table to which the policy applies
policypl – is the actual Virtuoso Stored Procedure based policy
policy_scope – defines the scope of the policy in relation to SQL statement processing using one of more of the following values; I (for Inserts), D (for Deletions), U (for Updates), S (for Selects).
Return Types

varchar

Note:

Note that the policy_pl procedure should have the following signature (this is how it's called by the Virtuoso SQL compiler to get the policy) : <procedure_name> (in table varchar, in op varchar) returns varchar

See Also

table_drop_policy()